react 运行项目,报错

运行react项目报错,下载来lass , lass-load ,但是还是不行。最后显示编译失败
image.png
image.png


{
  "name": "react-admin",
  "version": "0.0.5",
  "description": "a react develop stack for pc management system",
  "repository": {
    "type": "git",
    "url": "https://github.com/duxianwei520/react"
  },
  "private": true,
  "scripts": {
    "start": "concurrently \"npm run dev\" \"npm run mock\"",
    "dev": "webpack-dev-server --config ./scripts/webpack.dev.config.js",
    "testing": "webpack --config ./scripts/webpack.testing.config.js",
    "build": "webpack --config ./scripts/webpack.prod.config.js",
    "lint": "eslint ./ --cache --fix --ignore-pattern .gitignore",
    "test": "jest --coverage",
    "mock": "supervisor -w mock ./app/mocks/http.js",
    "precommit": "lint-staged",
    "preCommitInit": "node ./node_modules/husky/lib/installer/bin.js install",
    "test:report": "jest --coverage --coverageReporters=text-lcov | coveralls",
    "dll": "webpack --config ./scripts/webpack.dll.config.js"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "author": "duxianwei",
  "contributors": [
    {
      "name": "HanQ"
    },
    {
      "name": "Huxiaoyu"
    },
    {
      "name": "jinxedjkldsa"
    }
  ],
  "jest": {
    "moduleFileExtensions": [
      "js",
      "jsx"
    ],
    "testEnvironment": "jsdom",
    "moduleNameMapper": {
      "\\.(css|less)$": "identity-obj-proxy",
      "^@apis(.*)$": "<rootDir>/app/apis$1",
      "^@configs(.*)$": "<rootDir>/app/configs$1",
      "^@ajax(.*)$": "<rootDir>/app/configs/ajax.js",
      "^@config(.*)$": "<rootDir>/app/configs/config.js",
      "^@reg(.*)$": "<rootDir>/app/configs/regular.config.js",
      "^@components(.*)$": "<rootDir>/app/components$1",
      "^@tableList(.*)$": "<rootDir>/app/components/tableList/tableList.js",
      "^@actions(.*)$": "<rootDir>/app/redux/actions$1",
      "^@images(.*)$": "<rootDir>/app/images$1"
    },
    "transform": {
      "^.+\\.js$": "babel-jest"
    },
    "collectCoverageFrom": [
      "**/*.{js,jsx}",
      "!**/coverage/**",
      "!**/scripts/**",
      "!**/reducers/**",
      "!**/actions/**",
      "!**/base/**",
      "!**/apis/**",
      "!**/mocks/**",
      "!**/middleware/**",
      "!**/components/**",
      "!**/menu/**",
      "!**/configs/**",
      "!**/store.js",
      "!**/provider.jsx",
      "!**/example.js",
      "!**/client.js",
      "!**/webpack.config.js",
      "!**/selectRole.js",
      "!**/setCenter/index.js",
      "!**/dist/**"
    ],
    "coverageThreshold": {
      "global": {
        "branches": 50,
        "functions": 50,
        "lines": 50,
        "statements": 50
      }
    }
  },
  "devDependencies": {
    "antd": "^3.26.20",
    "babel-core": "~6.26.0",
    "babel-eslint": "~8.2.1",
    "babel-jest": "^23.6.0",
    "babel-loader": "~7.1.2",
    "babel-plugin-import": "^1.6.3",
    "babel-plugin-transform-decorators-legacy": "~1.3.4",
    "babel-plugin-transform-es2015-modules-commonjs": "^6.26.2",
    "babel-plugin-transform-runtime": "~6.23.0",
    "babel-preset-env": "^1.6.1",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-react": "^6.24.1",
    "babel-preset-stage-0": "^6.24.1",
    "clean-webpack-plugin": "^0.1.19",
    "concurrently": "^4.0.1",
    "copy-webpack-plugin": "^4.2.3",
    "coveralls": "^3.0.0",
    "cross-env": "^5.1.4",
    "css-loader": "~0.28.9",
    "dll-link-webpack-plugin": "^3.2.1",
    "enzyme": "^3.7.0",
    "eslint": "~4.15.0",
    "eslint-config-airbnb": "~16.1.0",
    "eslint-plugin-babel": "~4.1.2",
    "eslint-plugin-import": "~2.8.0",
    "eslint-plugin-jsx-a11y": "~6.0.3",
    "eslint-plugin-react": "~7.5.1",
    "extract-text-webpack-plugin": "~3.0.2",
    "file-loader": "~1.1.6",
    "happypack": "^5.0.0",
    "html-webpack-plugin": "~2.30.1",
    "http-proxy": "~1.16.2",
    "jest": "^23.6.0",
    "jsdom": "^12.2.0",
    "less": "~2.7.1",
    "less-loader": "~4.0.5",
    "mockjs": "^1.0.1-beta3",
    "open-browser-webpack-plugin": "~0.0.2",
    "postcss-loader": "~2.0.10",
    "react-addons-test-utils": "~15.6.2",
    "react-hot-loader": "^3.0.0-beta.7",
    "sinon": "~4.1.6",
    "socket.io": "2.0.4",
    "style-loader": "~0.19.1",
    "supervisor": "^0.12.0",
    "url-loader": "~0.6.2",
    "webpack-bundle-analyzer": "^2.9.0",
    "webpack-dev-server": "~2.9.7",
    "webpack-merge": "^4.1.1",
    "webpack-parallel-uglify-plugin": "^1.1.0"
  },
  "dependencies": {
    "@antv/data-set": "^0.10.2",
    "axios": "^0.18.0",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "babel-plugin-transform-decorators-legacy": "^1.3.5",
    "babel-polyfill": "~6.26.0",
    "benz-amr-recorder": "^1.0.9",
    "bizcharts": "^3.5.6",
    "clipboard": "^2.0.4",
    "crypto-js": "^3.1.9-1",
    "draft-js": "^0.10.3",
    "echarts": "^4.0.2",
    "enzyme-adapter-react-16": "^1.6",
    "esri-loader": "0.3.1",
    "husky": "^1.1.2",
    "identity-obj-proxy": "^3.0.0",
    "immutable": "~3.8.1",
    "less": "^2.7.3",
    "less-loader": "^4.1.0",
    "lint-staged": "^7.3.0",
    "md5": "^2.2.1",
    "prop-types": "^15.6.2",
    "rc-queue-anim": "^1.4.1",
    "rc-tween-one": "~1.7.3",
    "react": "^16.5.2",
    "react-copy-to-clipboard": "~5.0.1",
    "react-dom": "^16.5.2",
    "react-redux": "~5.0.6",
    "react-router": "3.2.0",
    "react-router-redux": "~4.0.5",
    "redux": "~3.7.2",
    "redux-actions": "~2.2.1",
    "redux-mock-store": "^1.5.3",
    "redux-thunk": "~2.2.0",
    "require": "^2.4.20",
    "socket.io-client": "^2.2.0",
    "webpack": "~3.10.0"
  }
}
阅读 117
评论
    1 个回答

    less和less-loader

      撰写回答

      登录后参与交流、获取后续更新提醒

      相似问题
      推荐文章